shale-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Craig McClanahan (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SHALE-242) Review dependency version numbers
Date Wed, 09 Aug 2006 04:32:21 GMT
    [ http://issues.apache.org/struts/browse/SHALE-242?page=comments#action_37934 ] 
            
Craig McClanahan commented on SHALE-242:
----------------------------------------

> We should add commons validator 1.4 to that list too. I think that myfaces 1.1.3 has
a 1.4 dependency. Shale > core has a 1.3 dependency. It looks like there might be some
API changes to that upgrade.

Does Commons Validator 1.4 exist yet?  I only see 1.3 linked from the validator website.

Be that as it may, the Shale declaration that it wants validator 1.3 is not being respected
by Maven2, apparently due to the "nearness" rule that it follows to resolve conflicts.  The
only solution I know of that's guaranteed to work is to declare this dependency explicitly
on each webapp, but that seems pretty silly.  (Same problem currently exists on Logging ...
I tried to declare a dependency on 1.1 but it's still picking up 1.0.4.)


> Review dependency version numbers
> ---------------------------------
>
>                 Key: SHALE-242
>                 URL: http://issues.apache.org/struts/browse/SHALE-242
>             Project: Shale
>          Issue Type: Task
>          Components: Core, Clay, Remoting, Tiger, Test, Tiles
>            Reporter: Craig McClanahan
>         Assigned To: Craig McClanahan
>             Fix For: 1.0.3-SNAPSHOT
>
>
> Review version numbers of dependencies listed in our POMs to make sure we've got the
desired versions (normally latest release).

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators: http://issues.apache.org/struts/secure/Administrators.jspa
-
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message